Page MenuHomePhabricator

evas_vg_node: Move change flag value setting
ClosedPublic

Authored by jsuya on May 14 2019, 9:24 PM.

Details

Summary

_node_change function is only executed
when the flag is none to prevent duplicate calls.
If CHANGE_MATRIX_FLAG is added to the flag in advance,
_node_change function does not operate normally.

Test Plan

cd ./src/examples/evas
gcc -o evas_vg_simple evas-vg-simple.c pkg-config --libs --cflags evas ecore ecore-evas eina ector eo efl -lm
./evas_vg_simple

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.May 14 2019, 9:24 PM
jsuya requested review of this revision.May 14 2019, 9:24 PM
Hermet requested changes to this revision.May 15 2019, 1:20 AM

Please check a comment.

src/lib/evas/canvas/efl_canvas_vg_node.c
22

This condition is designed to skip the unnecessary changes (*once node has been changed already) below.
Maybe we can add Matrix Flag after _node_change() call.

This revision now requires changes to proceed.May 15 2019, 1:20 AM
jsuya updated this revision to Diff 22240.May 16 2019, 6:08 PM

update code

jsuya updated this revision to Diff 22241.May 16 2019, 6:09 PM
jsuya retitled this revision from evas_vg: Fix wrong flag check to evas_vg_node: Move change flag value setting.
jsuya edited the summary of this revision. (Show Details)

update commit message

jsuya marked an inline comment as done.May 16 2019, 6:10 PM
Hermet requested changes to this revision.May 16 2019, 6:36 PM

Please check a comment;

src/lib/evas/canvas/efl_canvas_vg_node.c
66

How about adding a comment to warn people not to change the call order of _node_change() and flaging here?

This revision now requires changes to proceed.May 16 2019, 6:36 PM
jsuya updated this revision to Diff 22242.May 16 2019, 6:42 PM

add comments

Hermet accepted this revision.May 16 2019, 6:43 PM
This revision is now accepted and ready to land.May 16 2019, 6:43 PM
This revision was automatically updated to reflect the committed changes.